Package ghidra.app.util.bin.format.macho.commands.chained

# Class DyldChainedStartsOffsets

java.lang.Object
ghidra.app.util.bin.format.macho.commands.chained.DyldChainedStartsOffsets

All Implemented Interfaces:
  `StructConverter`

public class DyldChainedStartsOffsets extends Object implements StructConverter
Represents a dyld_chained_starts_offsets structure.

See Also:
  - mach-o/fixup-chains.h

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DyldChainedStartsOffsets(BinaryReader reader)`
  Creates a new `DyldChainedStartsOffsets`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int[]`
  `getChainStartOffsets()`
  Gets the chain start offsets
  `DyldChainedPtr.DyldChainType`
  `getPointerFormat()`
  Gets the pointer format
  `int`
  `getStartsCount()`
  Gets the starts count
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DyldChainedStartsOffsets

    public DyldChainedStartsOffsets(BinaryReader reader) throws IOException
    Creates a new `DyldChainedStartsOffsets`
    Parameters:
      `reader` - A `BinaryReader` positioned at the start of the structure
    Throws:
      `IOException` - if there was an IO-related problem creating the structure

- ## Method Details

  - ### getPointerFormat

    public DyldChainedPtr.DyldChainType getPointerFormat()
    Gets the pointer format
    Returns:
      The pointer format

  - ### getStartsCount

    public int getStartsCount()
    Gets the starts count
    Returns:
      The starts count

  - ### getChainStartOffsets

    public int[] getChainStartOffsets()
    Gets the chain start offsets
    Returns:
      The chain start offsets

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`